# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [
    {'model_name': 'vat', 'model_label': _('VAT'), 'model_label_plural': _('VAT')},
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:vat_{model['model_name']}_add",
        "perms": [f"vat.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("{} list").format(model['model_label_plural']),
        "url_name": f"admin:vat_{model['model_name']}_changelist",
        "perms": [
            f"vat.view_{model['model_name']}",
            f"vat.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('vat'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'vat'}},
    'perms': ['vat.*'],
    'children': children
}]
