# Generated by Django 2.2.24 on 2021-06-08 04:44

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Vat',
            fields=[
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, primary_key=True, serialize=False, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, unique=True, verbose_name='slug')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('aliquot_perc', models.DecimalField(decimal_places=2, default=0, max_digits=4, verbose_name='aliquot perc')),
                ('deduct_perc', models.DecimalField(decimal_places=2, default=0, max_digits=4, verbose_name='deduct perc')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='vat_vat_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='vat_vat_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'VAT rate',
                'verbose_name_plural': 'VAT rates',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_vat', 'Can list vat'), ('detail_vat', 'Can detail vat'), ('disable_vat', 'Can disable vat')),
            },
        ),
    ]
